ProjectDependency (Gradle API 2.14.1)
Date: 2016-07-18

org.gradle.plugins.ide.eclipse.model

## Class ProjectDependency

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
    - - org.gradle.plugins.ide.eclipse.model.ProjectDependency

- All Implemented Interfaces:
    GroovyObject, ClasspathEntry

      public class ProjectDependency
      extends AbstractClasspathEntry

  A classpath entry representing a project dependency.

- - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `accessRules, COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectDependency(Node node)`
    `ProjectDependency(String path, String gradlePath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeclaredConfigurationName()` Deprecated.
    `String` | `getGradlePath()`
    `String` | `getKind()`
    `void` | `setDeclaredConfigurationName(String declaredConfigurationName)`
    `void` | `setGradlePath(String gradlePath)`
    `String` | `toString()`

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `addClasspathEntry, appendNode, equals, getAccessRules, getEntryAttributes, getExported, getNativeLibraryLocation, getPath, hashCode, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, writeEntryAttributes`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectDependency

          public ProjectDependency(Node node)

    - #### ProjectDependency

          public ProjectDependency(String path,
                           String gradlePath)

  - ### Method Detail

    - #### getGradlePath

          public String getGradlePath()

    - #### setGradlePath

          public void setGradlePath(String gradlePath)

    - #### getDeclaredConfigurationName

          @Deprecated
          public String getDeclaredConfigurationName()

      Deprecated.

    - #### setDeclaredConfigurationName

          public void setDeclaredConfigurationName(String declaredConfigurationName)

    - #### getKind

          public String getKind()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractClasspathEntry`